---
http_interactions:
- request:
    method: get
    uri: http://test.ieducar.com.br/module/Api/Curso?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&escola_id%5B0%5D=121908&escola_id%5B1%5D=76910&instituicao_id=1&oper=get&resource=cursos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Mon, 03 Nov 2014 11:48:33 GMT
      Server:
      - Apache
      Set-Cookie:
      - PHPSESSID=vnvaimlsr0vtkn3lt34sodpt44; expires=Tue, 04-Nov-2014 11:48:33 GMT;
        path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Content-Length:
      - '221'
      Content-Type:
      - application/json; charset=UTF-8
    body:
      encoding: US-ASCII
      string: '{"cursos":[{"id":"4","nome":"Educa\u00e7\u00e3o Infantil"},{"id":"1","nome":"Ensino
        Fundamental - 8 Anos"},{"id":"2","nome":"Ensino Fundamental - 9 Anos"}],"oper":"get","resource":"cursos","msgs":[],"any_error_msg":false}'
    http_version: 
  recorded_at: Mon, 03 Nov 2014 11:48:34 GMT
- request:
    method: get
    uri: http://test.ieducar.com.br/module/Api/Curso?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&escola_id%5B0%5D=121908&escola_id%5B1%5D=76910&get_series=true&instituicao_id=1&oper=get&resource=cursos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Sun, 30 Nov 2014 17:59:09 GMT
      Server:
      - Apache
      Set-Cookie:
      - PHPSESSID=hlstucfajta8g13cf72db33923; expires=Mon, 01-Dec-2014 17:59:09 GMT;
        path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Content-Length:
      - '920'
      Content-Type:
      - application/json; charset=UTF-8
    body:
      encoding: US-ASCII
      string: '{"cursos":[{"id":"4","nome":"Educa\u00e7\u00e3o Infantil","series":[{"id":"19","nome":"Pr\u00e9-Escolar
        1 (4 anos)"},{"id":"18","nome":"Pr\u00e9-Escolar 2 (5 anos)"}]},{"id":"1","nome":"Ensino
        Fundamental - 8 Anos","series":[{"id":"1","nome":"1a S\u00e9rie"},{"id":"2","nome":"2a
        S\u00e9rie"},{"id":"3","nome":"3a S\u00e9rie"},{"id":"4","nome":"4a S\u00e9rie"},{"id":"5","nome":"5a
        S\u00e9rie"},{"id":"6","nome":"6a S\u00e9rie"},{"id":"7","nome":"7a S\u00e9rie"},{"id":"8","nome":"8a
        S\u00e9rie"}]},{"id":"2","nome":"Ensino Fundamental - 9 Anos","series":[{"id":"9","nome":"1\u00ba
        Ano"},{"id":"10","nome":"2\u00ba Ano"},{"id":"11","nome":"3\u00ba Ano"},{"id":"12","nome":"4\u00ba
        Ano"},{"id":"13","nome":"5\u00ba Ano"},{"id":"14","nome":"6\u00ba Ano"},{"id":"15","nome":"7\u00ba
        Ano"},{"id":"16","nome":"8\u00ba Ano"},{"id":"17","nome":"9\u00ba Ano"}]}],"oper":"get","resource":"cursos","msgs":[],"any_error_msg":false}'
    http_version: 
  recorded_at: Sun, 30 Nov 2014 17:59:09 GMT
- request:
    method: get
    uri: http://test.ieducar.com.br/module/Api/Curso?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&escola_id%5B%5D=121908&escola_id%5B%5D=76910&get_series=true&instituicao_id=1&oper=get&resource=cursos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Wed, 18 Nov 2015 12:41:20 GMT
      Server:
      - Apache
      Set-Cookie:
      - PHPSESSID=gmfg99lr1k436j5q37bj4msl74; expires=Thu, 19-Nov-2015 12:41:20 GMT;
        path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Content-Length:
      - '78'
      Content-Type:
      - application/json; charset=UTF-8
    body:
      encoding: UTF-8
      string: '{"cursos":[],"oper":"get","resource":"cursos","msgs":[],"any_error_msg":false}'
    http_version: 
  recorded_at: Wed, 18 Nov 2015 12:41:20 GMT
- request:
    method: get
    uri: http://test.ieducar.com.br/module/Api/Curso?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&escola_id%5B%5D=124370&get_series=true&instituicao_id=1&oper=get&resource=cursos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Wed, 18 Nov 2015 12:54:24 GMT
      Server:
      - Apache
      Set-Cookie:
      - PHPSESSID=gkr4mvs2pjqt0kps0qct5ua8e1; expires=Thu, 19-Nov-2015 12:54:24 GMT;
        path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Content-Length:
      - '1126'
      Content-Type:
      - application/json; charset=UTF-8
    body:
      encoding: UTF-8
      string: '{"cursos":[{"id":"149","nome":"EDUCA\u00c7\u00c3O INFANTIL","series":[{"id":"12","nome":"Ber\u00e7\u00e1rio"},{"id":"21","nome":"N\u00edvel
        III"},{"id":"25","nome":"Pr\u00e9-escola"}]},{"id":"150","nome":"ENSINO FUNDAMENTAL","series":[{"id":"10","nome":"1\u00aa
        S\u00e9rie"},{"id":"46","nome":"2\u00aa S\u00e9rie"},{"id":"28","nome":"3\u00aa
        S\u00e9rie"},{"id":"2","nome":"4\u00aa S\u00e9rie"}]},{"id":"300","nome":"ENSINO
        FUNDAMENTAL - 1\u00ba A 5\u00ba","series":[{"id":"22","nome":"1\u00ba Ano"},{"id":"40","nome":"2\u00ba
        Ano"},{"id":"6","nome":"3\u00ba Ano"},{"id":"36","nome":"4\u00ba Ano"},{"id":"14","nome":"5\u00ba
        Ano"}]},{"id":"151","nome":"ENSINO FUNDAMENTAL - 5 A 8 SERIE","series":[{"id":"18","nome":"5\u00aa
        S\u00e9rie"},{"id":"29","nome":"6\u00aa S\u00e9rie"},{"id":"37","nome":"7\u00aa
        S\u00e9rie"},{"id":"8","nome":"8\u00aa S\u00e9rie"}]},{"id":"301","nome":"ENSINO
        FUNDAMENTAL - 6\u00ba A 9\u00ba","series":[{"id":"7","nome":"6\u00ba Ano"},{"id":"47","nome":"7\u00ba
        Ano"},{"id":"30","nome":"8\u00ba Ano"},{"id":"38","nome":"9\u00ba Ano"}]}],"oper":"get","resource":"cursos","msgs":[],"any_error_msg":false}'
    http_version: 
  recorded_at: Wed, 18 Nov 2015 12:54:25 GMT
- request:
    method: get
    uri: http://test.ieducar.com.br/module/Api/Curso?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&escola_id%5B%5D=124370&instituicao_id=1&modified&oper=get&resource=cursos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.2.6p396
  response:
    status:
      code: 301
      message: Moved Permanently
    headers:
      Server:
      - nginx/1.14.0 (Ubuntu)
      Date:
      - Fri, 05 Apr 2019 12:12:50 GMT
      Content-Type:
      - text/html
      Content-Length:
      - '194'
      Connection:
      - keep-alive
      Location:
      - https://test.ieducar.com.br/module/Api/Curso?escola_id[]=124370&resource=cursos&modified&oper=get&access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC&instituicao_id=1
    body:
      encoding: UTF-8
      string: "<html>\r\n<head><title>301 Moved Permanently</title></head>\r\n<body
        bgcolor=\"white\">\r\n<center><h1>301 Moved Permanently</h1></center>\r\n<hr><center>nginx/1.14.0
        (Ubuntu)</center>\r\n</body>\r\n</html>\r\n"
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:06:46 GMT
- request:
    method: get
    uri: https://test.ieducar.com.br/module/Api/Curso?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&escola_id%5B%5D=124370&instituicao_id=1&modified&oper=get&resource=cursos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.2.6p396
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx/1.14.0 (Ubuntu)
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Date:
      - Fri, 05 Apr 2019 12:12:51 GMT
      X-Xss-Protection:
      - '0'
      Set-Cookie:
      - i_educar_session=F8bKpUId9eaqrtQfh9jIohKyqgN6T8hU0sOgUNUc; expires=Fri, 05-Apr-2019
        14:12:51 GMT; Max-Age=7200; path=/; httponly
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAA6tWSi4tKs4vVrKKjtVRyi9ILVKyUkpPLVHSUSpKLc4vLUpO
        BQpA1ego5RanQ5Um5lXGpxYV5RfFA8WUrNISc4pTawE/JgaTTgAAAA==
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:06:46 GMT
- request:
    method: get
    uri: http://test.ieducar.com.br/module/Api/Curso?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&escola_id%5B%5D=30&instituicao_id=1&modified&oper=get&resource=cursos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.2.6p396
  response:
    status:
      code: 301
      message: Moved Permanently
    headers:
      Server:
      - nginx/1.14.0 (Ubuntu)
      Date:
      - Fri, 05 Apr 2019 12:57:54 GMT
      Content-Type:
      - text/html
      Content-Length:
      - '194'
      Connection:
      - keep-alive
      Location:
      - https://test.ieducar.com.br/module/Api/Curso?escola_id[]=30&resource=cursos&modified&oper=get&access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC&instituicao_id=1
    body:
      encoding: UTF-8
      string: "<html>\r\n<head><title>301 Moved Permanently</title></head>\r\n<body
        bgcolor=\"white\">\r\n<center><h1>301 Moved Permanently</h1></center>\r\n<hr><center>nginx/1.14.0
        (Ubuntu)</center>\r\n</body>\r\n</html>\r\n"
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:51:49 GMT
- request:
    method: get
    uri: https://test.ieducar.com.br/module/Api/Curso?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&escola_id%5B%5D=30&instituicao_id=1&modified&oper=get&resource=cursos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.2.6p396
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx/1.14.0 (Ubuntu)
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Date:
      - Fri, 05 Apr 2019 12:57:55 GMT
      X-Xss-Protection:
      - '0'
      Set-Cookie:
      - i_educar_session=CuEYuSrplsnis2mHMXVAQAUzLv4Ie4RTq26NUJGG; expires=Fri, 05-Apr-2019
        14:57:55 GMT; Max-Age=7200; path=/; httponly
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAzXOwQrDIAwG4FcpOVvQClvnfYc9QzeKaFoKVkvUwyh996Vj
        u4QQvp/8O7hKOWUwww6LBwMaBMS0Iq93X519Vinx+p06NY842ViWwKhu3hb0
        oy1MO6lurdRt1zfqYmRvpGLiMeCfxBrC8RKQNiQOzFgYEOZUyZ3Pfj0ErHk+
        6zC18T0iUaKRb2AmGzIeH4alDOSyAAAA
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:51:50 GMT
recorded_with: VCR 3.0.0
